<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>I-Index</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="I-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;<a name="_I_">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><a href="../model/IA.html" title="class in model"><span class="strong">IA</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class IA.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#IA(java.awt.Color,%20java.lang.String)">IA(Color, String)</a></span> - Constructor for class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Instantiates a new ia.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#IA(java.awt.Color,%20java.lang.String,%20int)">IA(Color, String, int)</a></span> - Constructor for class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Instantiates a new ia.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#IA(java.awt.Color,%20java.lang.String,%20model.Pattern,%20int[],%20int)">IA(Color, String, Pattern, int[], int)</a></span> - Constructor for class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Instantiates a new AI.</div>
</dd>
<dt><span class="strong"><a href="../controler/Drop.html#importData(javax.swing.TransferHandler.TransferSupport)">importData(TransferHandler.TransferSupport)</a></span> - Method in class controler.<a href="../controler/Drop.html" title="class in controler">Drop</a></dt>
<dd>
<div class="block">Print the piece to the screen if its the player of this piece are the actualPlayer and use this piece (in the playerZone).</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#iniOrigin()">iniOrigin()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Initialise the origin of the players.</div>
</dd>
<dt><a href="../controler/InitialisationOnlineGame.html" title="class in controler"><span class="strong">InitialisationOnlineGame</span></a> - Class in <a href="../controler/package-summary.html">controler</a></dt>
<dd>
<div class="block">The Class InitialisationOnlineGame, depending of the cunstructor used, will start a server and connect to him to play online.</div>
</dd>
<dt><span class="strong"><a href="../controler/InitialisationOnlineGame.html#InitialisationOnlineGame(view.Blokus,%20model.PlayerOnline[])">InitialisationOnlineGame(Blokus, PlayerOnline[])</a></span> - Constructor for class controler.<a href="../controler/InitialisationOnlineGame.html" title="class in controler">InitialisationOnlineGame</a></dt>
<dd>
<div class="block">Create a server who will start a gamerule with the players.</div>
</dd>
<dt><span class="strong"><a href="../controler/InitialisationOnlineGame.html#InitialisationOnlineGame(view.Blokus,%20java.lang.String)">InitialisationOnlineGame(Blokus, String)</a></span> - Constructor for class controler.<a href="../controler/InitialisationOnlineGame.html" title="class in controler">InitialisationOnlineGame</a></dt>
<dd>
<div class="block">Connect the program to the computer of the name host.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#isActualPlayer(model.Player)">isActualPlayer(Player)</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Checks if the player in param is the actual player.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#isCustomPattern()">isCustomPattern()</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>
<div class="block">Checks if is custom pattern.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#isDataFlavorSupported(java.awt.datatransfer.DataFlavor)">isDataFlavorSupported(DataFlavor)</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">This method arise from transferable and it's return is not important.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerBar.html#isFinish()">isFinish()</a></span> - Method in class view.<a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></dt>
<dd>
<div class="block">Change the name color by the a dark grey color</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#isFinish()">isFinish()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Change a few of graphics color to indicate that the player have finish his game.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#isNextRound(model.Player)">isNextRound(Player)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Checks if the next round will be possible to play.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#isPiece(java.lang.String)">isPiece(String)</a></span> - Method in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">Checks if there is already a piece like that in the pattern file.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerBar.html#isPlaying()">isPlaying()</a></span> - Method in class view.<a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></dt>
<dd>
<div class="block">Change the name color by the color of the player</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#isPlaying()">isPlaying()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Change a few of graphics color to indicate that is the player round.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerBar.html#isWaiting()">isWaiting()</a></span> - Method in class view.<a href="../view/PlayerBar.html" title="class in view">PlayerBar</a></dt>
<dd>
<div class="block">Change the name color by the standart grey color</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#isWaiting()">isWaiting()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Change a few of graphics color to indicate that is not the player round.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-7.html">Prev Letter</a></li>
<li><a href="index-9.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-8.html" target="_top">Frames</a></li>
<li><a href="index-8.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
